Get all API keys

  • GET /users/auth/keys
Auth

Retrieves the metadata for the API keys the caller is allowed to see.

Query parameters

next_page string

Pagination cursor to get the next page of records

Response

The metadata for the API keys is retrieved.

application/json
keys object[] required

The list of API keys.

id string required

The API key ID.

user_id string

The user ID.

organization_id string

The organization ID linked to the API key

description string required

The API key description. TIP: Useful when you have multiple API keys.

key string

The API key. TIP: Since the API key is returned only once, save it in a safe place.

creation_date string · format: date-time required

The date/time for when the API key is created.

expiration_date string · format: date-time

The date/time when the API key expires.

role_assignments object

Roles assigned to users, API keys or organization invitations. Currently unavailable in self-hosted ECE.

platform object[]

Assignments for roles with platform scope.

role_id string required

The ID of the role that is assigned.

organization object[]

Assignments for roles with organization scope.

role_id string required

The ID of the role that is assigned.

organization_id string required

The ID of the organization the role is scoped to.

application_roles string[]

If provided, the user assigned this role assignment will be granted this application role when signing in to a deployment or project

deployment object[]

Assignments for roles with deployment scope.

role_id string required

The ID of the role that is assigned.

organization_id string required

The ID of the organization the role is scoped to.

all boolean

When true, the role applies to all deployments in the organization, otherwise the role is scoped to the deployments specified in deployment_ids.

deployment_ids string[]

The IDs of the deployments the role is scoped to. Must be absent if all is true, and present if all is false.

application_roles string[]

If provided, the user assigned this role assignment will be granted this application role when signing in to the deployment(s) specified in the role assignment.

project object

Assignments for roles with project scope.

elasticsearch object[]

The Elasticsearch project-scoped role assignments to set

role_id string required

The ID of the role that is assigned.

organization_id string required

The ID of the organization the role is scoped to.

all boolean

When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in project_ids.

project_ids string[]

The IDs of the projects the role is scoped to. Must be absent if all is true, and present if all is false.

application_roles string[]

If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.

observability object[]

The Observability project-scoped role assignments to set

role_id string required

The ID of the role that is assigned.

organization_id string required

The ID of the organization the role is scoped to.

all boolean

When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in project_ids.

project_ids string[]

The IDs of the projects the role is scoped to. Must be absent if all is true, and present if all is false.

application_roles string[]

If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.

security object[]

The Security project-scoped role assignments to set

role_id string required

The ID of the role that is assigned.

organization_id string required

The ID of the organization the role is scoped to.

all boolean

When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in project_ids.

project_ids string[]

The IDs of the projects the role is scoped to. Must be absent if all is true, and present if all is false.

application_roles string[]

If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.

workplaceai object[]

The WorkplaceAI project-scoped role assignments to set

role_id string required

The ID of the role that is assigned.

organization_id string required

The ID of the organization the role is scoped to.

all boolean

When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in project_ids.

project_ids string[]

The IDs of the projects the role is scoped to. Must be absent if all is true, and present if all is false.

application_roles string[]

If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.

vectordb object[]

The VectorDB project-scoped role assignments to set

role_id string required

The ID of the role that is assigned.

organization_id string required

The ID of the organization the role is scoped to.

all boolean

When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in project_ids.

project_ids string[]

The IDs of the projects the role is scoped to. Must be absent if all is true, and present if all is false.

application_roles string[]

If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.

next_page string

A cursor to get the next page of results